Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057789 - [abrt] xorg-x11-server-Xorg: xf86ScreenToScrn(): Xorg killed by SIGABRT
Summary: [abrt] xorg-x11-server-Xorg: xf86ScreenToScrn(): Xorg killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:713ddcb6dcb16ec8669b451a5ab...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-24 21:03 UTC by Mark Mayfield
Modified: 2015-02-17 19:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:55:55 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-24 21:03 UTC, Mark Mayfield
no flags Details
File: cgroup (deleted)
2014-01-24 21:03 UTC, Mark Mayfield
no flags Details
File: core_backtrace (deleted)
2014-01-24 21:03 UTC, Mark Mayfield
no flags Details
File: dso_list (deleted)
2014-01-24 21:03 UTC, Mark Mayfield
no flags Details
File: limits (deleted)
2014-01-24 21:03 UTC, Mark Mayfield
no flags Details
File: maps (deleted)
2014-01-24 21:03 UTC, Mark Mayfield
no flags Details
File: open_fds (deleted)
2014-01-24 21:03 UTC, Mark Mayfield
no flags Details
File: proc_pid_status (deleted)
2014-01-24 21:03 UTC, Mark Mayfield
no flags Details

Description Mark Mayfield 2014-01-24 21:03:33 UTC
Description of problem:
Ran glxgears as normal from the terminal. Pressed escape to exit glxgears. When glxgears exited the xsession crashed and I was thrown back out to the lightdm log on screen. Likely a problem between the radeon module, my specific video card and the xserver.

Version-Release number of selected component:
xorg-x11-server-Xorg-1.14.4-3.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/X -background none :0 -auth /var/run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch
crash_function: xf86ScreenToScrn
environ:        
executable:     /usr/bin/Xorg
kernel:         3.12.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0
var_log_messages: Jan 23 10:37:09 grim-desktop abrt-hook-ccpp[3489]: Saved core dump of pid 1419 (/usr/bin/Xorg) to /var/tmp/abrt/ccpp-2014-01-23-10:37:08-1419 (105394176 bytes)

Truncated backtrace:
Thread no. 1 (7 frames)
 #4 xf86ScreenToScrn at xf86Helper.c:1885
 #5 radeon_dri2_destroy_buffer2 at radeon_dri2.c:356
 #6 radeon_dri2_client_state_changed at radeon_dri2.c:598
 #7 _CallCallbacks at dixutils.c:719
 #8 CallCallbacks at ../include/callback.h:83
 #9 CloseDownClient at dispatch.c:3399
 #10 Dispatch at dispatch.c:444

Comment 1 Mark Mayfield 2014-01-24 21:03:37 UTC
Created attachment 855223 [details]
File: backtrace

Comment 2 Mark Mayfield 2014-01-24 21:03:39 UTC
Created attachment 855224 [details]
File: cgroup

Comment 3 Mark Mayfield 2014-01-24 21:03:42 UTC
Created attachment 855225 [details]
File: core_backtrace

Comment 4 Mark Mayfield 2014-01-24 21:03:44 UTC
Created attachment 855226 [details]
File: dso_list

Comment 5 Mark Mayfield 2014-01-24 21:03:45 UTC
Created attachment 855227 [details]
File: limits

Comment 6 Mark Mayfield 2014-01-24 21:03:47 UTC
Created attachment 855228 [details]
File: maps

Comment 7 Mark Mayfield 2014-01-24 21:03:48 UTC
Created attachment 855229 [details]
File: open_fds

Comment 8 Mark Mayfield 2014-01-24 21:03:49 UTC
Created attachment 855230 [details]
File: proc_pid_status

Comment 9 Fedora End Of Life 2015-01-09 21:08:34 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-02-17 19:55:55 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.